Get Profile
curl --request POST \
--url https://refract.prismapi.io/v1/evm/dex/profiles/tokens/get-profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"chain_id": 1,
"token": "0x6982508145454Ce325dDbE47a25d4ec3d2311933",
"options": {
"include_metadata": true,
"include_metrics": [
"7d"
]
}
}
'import requests
url = "https://refract.prismapi.io/v1/evm/dex/profiles/tokens/get-profile"
payload = {
"chain_id": 1,
"token": "0x6982508145454Ce325dDbE47a25d4ec3d2311933",
"options": {
"include_metadata": True,
"include_metrics": ["7d"]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chain_id: 1,
token: '0x6982508145454Ce325dDbE47a25d4ec3d2311933',
options: {include_metadata: true, include_metrics: ['7d']}
})
};
fetch('https://refract.prismapi.io/v1/evm/dex/profiles/tokens/get-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"synced_at": "2023-11-07T05:31:56Z",
"chain_id": 123,
"token_address": "<string>",
"metadata": {
"last_trade_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"symbol": "<string>",
"name": "<string>",
"image": "<string>",
"verified": true,
"creator_address": "<string>",
"twitter": "<string>",
"discord": "<string>",
"website": "<string>",
"telegram": "<string>"
},
"metrics": {}
}{
"error": "Bad request: Invalid request parameters"
}{
"error": "Unauthorized: Invalid or missing API key"
}{
"error": "Forbidden: Access denied for the current API plan"
}{
"error": "Too many requests: Rate limit exceeded"
}{
"error": "Internal server error"
}Tokens
Get Profile
Returns the profile for a specific token.
POST
/
v1
/
evm
/
dex
/
profiles
/
tokens
/
get-profile
Get Profile
Authorizations
Your Prism API key. You can get one for free in the Prism Dashboard.
Body
application/json
Numeric EVM chain ID to query. See Supported Chains.
Token address to retrieve the profile for.
Controls which optional sections are included in each returned token profile.
Show child attributes
Show child attributes
Was this page helpful?